/*
Description: General Css styles
Developer: Marc bou sleiman
*/
body,html{
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
    font-family: $fontFamilyMulish;
    font-weight: $fontWeightRegular;
}

body{
    overflow-x: hidden;
}

.hidden{
    display: none;
}

.noLink{
    cursor: default;
    pointer-events: none;
}

*:hover,
*:focus,
*:active,
a:hover,
a:focus,
a:active{
    text-decoration: none !important;
    outline: none;
}

%transition-all-zeroFive-sec{
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}

%transition-all-zeroTwo-sec{
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    transition: all 0.2s;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
